Download it now!
Bug 101806 - add "search" in the welcome screen
Summary: add "search" in the welcome screen
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Recent-Document-List Start-Center
  Show dependency treegraph
 
Reported: 2016-08-30 20:03 UTC by J22Gim
Modified: 2018-01-19 14:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J22Gim 2016-08-30 20:03:41 UTC
When I start LO, I see the "welcome screen" with recent documents that are shown as thumbnails and name below.
After some time there are many recent documents, and I can't see all at once (eg on my laptop screen) so I have to scroll down until I see it and then I can open it. 
Would it be possible to add a "search" field so I can type the file name (or a part of it) and find it quicker? Something similar to CTRl+F in a web browser.
Thanks for so wonderful program!!
Comment 1 Heiko Tietze 2016-08-30 20:54:31 UTC
Wouldn't it help to sort the documents better?
Comment 2 J22Gim 2016-08-31 03:11:30 UTC
I think the current display is sorted by date (latest appear first). The "search" would be more useful in my opinion, since it's more likely the user remembers (a part of) the file name instead of the date the file was opened last...
Comment 3 Yousuf Philips (jay) (retired) 2016-09-01 11:46:14 UTC
The point of recent documents is to show a list of documents you recently used in the last used order and not intended to be a catalog of opened documents so that a user would want to sort or filter the list. Such functionality is left for the open file dialog. So for me WFM.
Comment 4 V Stuart Foote 2016-09-01 12:32:14 UTC
The Start Center "Thumbnail View" GUI is linked to the History "Most Recently Used" (MRU)

At this point we set the default length of the MRU list to 25 items, with a predefined maximum of 100 items. [1]

That means 25 thumbnails on the preview panel.  Effort of adding a search function to run against 25 items seems counter productive--especially as the MRU can be opened and selected from the main menu File -> Recent Documents where the 25 items are listed by file name and The Start Center GUI is linked to the History - Most Recently Used

A number of items affecting the MRU, e.g. list order and "favorites" pinning as well as sorting and suppressing by module have been addressed and rejected.

Two META issues bug 61914 and bug 61174 for discussion and links to other issues (both rejected and accepted).

=-ref-=
Set from Expert Configuration "PickListSize", and the maximum default "Size" of 100 items can be adjusted upward if preferred.
Comment 5 J22Gim 2016-09-01 21:47:36 UTC
Fair enough. 

Thanks a lot for taking the time to explain. And thanks a lot for keeping this wonderful software!